function W=getbasisfromprojection(C, Ni, Pint, Afullint, Aeval, Peval)
% % from here: both SVD and Cholesky and the Projection stuff
% % we have to add a suitable B matrix 
B=null(C)'; % this is safe 
% B=Pint' % works as well
% and test the rank
tr=rank([C;B])
% The following must be zero in all cases
tnc=norm(Pint'*C)
Vfull=Afullint*[C;B];
% the following must be zero, see the paper
tnv=norm(Vfull(Ni+1:end,:))
% this is the value matrix of the basis
valmat=Vfull(1:Ni,1:Ni);
condv=condest(valmat)
trval=rank(valmat)
% now get the basis on the dsites, see the paper
W=Aeval*C'+Peval*B;
