function ind=getunisolventsubset(points, polorder)
% calculates indices of points forming unisolvent subset 
polvalues=polynomials(points,polorder);
[npv, npd]=size(polvalues);
[Q,R,E] = qr(polvalues');
tn1=norm((polvalues')*E-Q*R);
ind=(E'*((1:npv)'));
ind=ind(1:npd);
tn2=norm((polvalues(ind,:)')-Q*R(:,1:npd));
cn=condest(polvalues(ind,:));
if (tn1+tn2)>100*cn*1.e-15
    disp('Something wrong in getunisolventsubset');
    tn1
    tn2
    cn
end
% ind=E'*ind;
% dsites=E'*dsites;
% tn2=norm(polvalues-polynomials(dsites,polorder))
% tn3=norm(polvalues'-Q*R)
% figure
% plot(dsites(:,1),dsites(:,2),'.',dsites(1:npd,1),dsites(1:npd,2),'rx');
% title('Points')
% cp=condest(polvalues(1:npd,:))
% lm=inv(polvalues(1:npd,:))
% 
